For AI agents: The documentation index is at https://docs.digitalocean.com/llms.txt. Markdown versions of pages use the same URL with index.html.md in place of the HTML page (for example, append index.html.md to the directory path instead of opening the HTML document).
Usage
client.vpcs.get(vpc_id="4de7ac8b-495b-4884-9a69-1050c6793cd6")
Returns JSONRaises HttpResponseError
Description
To show information about an existing VPC, send a GET request to /v2/vpcs/{vpc_id}.
Parameters
vpc_id string required
A unique identifier for a VPC.
Min: 1
Request Sample
Show Request Sample
import os
from pydo import Client
client = Client(token=os.environ.get("DIGITALOCEAN_TOKEN"))
resp = client.vpcs.get(vpc_id="e0fe0f4d")
Response Example
Show Response Example
{
"vpc": {
"name": "env.prod-vpc",
"description": "VPC for production environment",
"region": "nyc1",
"ip_range": "10.10.10.0/24",
"default": true,
"id": "5a4981aa-9653-4bd1-bef5-d6bff52042e4",
"urn": "do:vpc:5a4981aa-9653-4bd1-bef5-d6bff52042e4",
"created_at": "2020-03-13T19:20:47.442049222Z"
}
}
See /v2/vpcs/{vpc_id} in the API reference for additional detail on responses, headers, parameters, and more.